<?php

function get_stuffs_modules()
{
	$dir = opendir(STUFFS_PATH . 'modules/');
    while ($file = readdir($dir)) {
        if ($file != '.' and $file != '..' and $file != '.svn') {
            $path = STUFFS_PATH . 'modules/' . $file;
            if (is_dir($path) and !is_link($path)) {
                $modules[$file] = array('type' => $file,
                    'name' => l10n('module_name_' . strtolower($file)),
                    'description' => l10n('module_desc_' . strtolower($file)));
            }
        }
    }
    closedir($dir);
    uasort($modules, 'name_compare');
    return $modules;
}

function get_html_groups_selection(
  $groups,
  $fieldname,
  $selecteds = array()
  )
{
  global $conf;
  if (count ($groups) == 0 )
  {
    return '';
  }
  $output = '<div id="'.$fieldname.'">';
  $id = 1;
  foreach ($groups as $group)
  {
    $output.=

      '<input type="checkbox" name="'.$fieldname.'[]"'
      .' id="group_'.$id++.'"'
      .' value="'.$group['id'].'"'
      ;

    if (in_array($group['id'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      '><label>'
      .'&nbsp;'. $group['name']
      .'</label>'
      ."\n"
      ;
  }
  $output.= '</div>';

  return $output;
}


function get_all_groups()
{
$query = '
SELECT id, name
  FROM '.GROUPS_TABLE.'
  ORDER BY name ASC
;';
$result = pwg_query($query);

$groups = array();
  while ($row = mysql_fetch_assoc($result))
  {
    array_push($groups, $row);
  }

  uasort($groups, 'name_compare');
  return $groups;
}

?>